# smartbridge

Software to readout and send data from a SBWF3102 smartbridge by net2grid, as sed by Pure Energie as Smart Home meter. The application pulls data from the webinterface and can push it to mqtt or InfluxDB.

## SBWF3102

The SBWF3102 by net2grid offers the following endpoints for data retrieval via http (port 80)

* `/meter/now` - Get current readings
* `/meter/elec/power/hour`
* `/meter/elec/power/day`
* `/meter/elec/consumption/year` (not working)
* `/meter/elec/consumption/month` (not working)
* `/meter/elec/consumption/day` (not working)
* `/meter/gas/consumption/year` (not tested)
* `/meter/gas/consumption/month` (not tested)
* `/meter/gas/consumption/day` (not tested)


Resources: See [MeterApiService.java](https://github.com/net2grid/net2grid_android/blob/master/app/src/main/java/nl/wittig/net2grid/api/MeterApiService.java)
