#!/bin/bash -e

export MANIFEST="smartbridge"
export IMAGE="git.feldspaten.org/phoenix/smartbridge"


buildah manifest create "$MANIFEST"

# TODO: Add RISC-V
buildah build --arch amd64 --tag "$IMAGE" --manifest "$MANIFEST" .
buildah build --arch arm64 --tag "$IMAGE" --manifest "$MANIFEST" .
#buildah build --arch riscv --tag "$IMAGE" --manifest "$MANIFEST" .

buildah manifest push --all "$MANIFEST" "docker://$IMAGE"

